package client;

import common.ChatMessageListener;
import common.TextMessage;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;

public class ConsoleUI implements ChatMessageListener, Runnable {

    private final Client client;

    public ConsoleUI(Client client) {
        this.client = client;
        client.addMessageListener(this);
    }

    public void newChatMessage(TextMessage message) {
        String text = message.getSender() + ": ";

        /* FEATURE: Color */
        if (message.getColor() != null) {
            text += "[color=" + message.getColor() + ']';
        }

        text += message.getContent();

        /* FEATURE: Color */
        if (message.getColor() != null) {
            text += "[/color]";
        }

        System.out.println(text);
    }

    public void run() {
        BufferedReader reader = new BufferedReader(new InputStreamReader(System.in));
        while (true) {
            String line = null;
            try {
                line = reader.readLine();
            } catch (IOException e) {
                e.printStackTrace();
            }
            client.send(line);
        }
    }
}
