package common;

public class CombinedSymmetricCryptoTransform implements SymmetricCryptoTransform {

    private final SymmetricCryptoTransform[] transforms;

    public CombinedSymmetricCryptoTransform(SymmetricCryptoTransform[] transforms) {
        this.transforms = new SymmetricCryptoTransform[transforms.length];
        System.arraycopy(transforms, 0, this.transforms, 0, transforms.length);
    }

    public String transform(String text) {
        for (int i = 0; i < transforms.length; i++) {
            text = transforms[i].transform(text);
        }
        return text;
    }

}
