package common;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;

/* FEATURE: Logging */
public class Logger implements ChatMessageListener {

    private final String lineSeparator;

    private final BufferedWriter writer;

    public Logger(String filename) throws IOException {
        writer = new BufferedWriter(new FileWriter(filename + ".log"));
        /* FEATURE: Color */
        lineSeparator = System.getProperty("line.separator");
        writer.write("# sender\tcolor\tcontent" + lineSeparator);
    }

    public void newChatMessage(TextMessage message) {
        try {
            /* FEATURE: Color */
            writer.write(message.getSender() + "\t" + message.getColor() + "\t" +
                         message.getContent() + lineSeparator);

            writer.flush();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
