package common;

import java.io.Serializable;

/**
 * serializable message that can be send over the sockets between client and
 * server.
 */
public class TextMessage implements Serializable {

    public static final String SYSTEM_SENDER_NAME = "[system]";

    private static final long serialVersionUID = -9161595018411902079L;

    private final String sender;

    private final String content;

    /* FEATURE: Color */
    private final String color;

    public TextMessage(String sender, String content) {
        this(sender, content, null);
    }

    /* FEATURE: Color */
    public TextMessage(String sender, String content, String color) {
        this.sender = sender;
        this.content = content;
        this.color = color;
    }

    public String getSender() {
        return sender;
    }

    public String getContent() {
        return content;
    }

    /* FEATURE: Color */
    public String getColor() {
        return color;
    }
}
